﻿using Android.App;
using Android.OS;
using Com.Syncfusion.Charts;
using System.Collections.ObjectModel;
using Android.Graphics;
using Android.Views;
using Android.Widget;

namespace Chart_GettingStarted
{
    [Activity(MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            ViewModel viewModel = new ViewModel();
            SfChart chart1 = new SfChart(this);
            chart1.LayoutParameters = new ViewGroup.LayoutParams(1100, 550);
            chart1.SetBackgroundColor(Color.White);

            PieSeries series1 = new PieSeries();
            series1.ItemsSource = viewModel.Data1;
            series1.XBindingPath = "XValue";
            series1.YBindingPath = "YValue";
            series1.DataMarker.ShowLabel = true;
            chart1.Series.Add(series1);

            chart1.Legend.Visibility = Visibility.Visible;
            chart1.Legend.Title.Text = "Working Status";
            chart1.Legend.ToggleSeriesVisibility = true;

            SfChart chart2 = new SfChart(this);
            chart2.LayoutParameters = new ViewGroup.LayoutParams(1100, 550);
            chart2.SetBackgroundColor(Color.White);

            PieSeries series2 = new PieSeries();
            series2.ItemsSource = viewModel.Data2;
            series2.XBindingPath = "XValue";
            series2.YBindingPath = "YValue";
            series2.DataMarker.ShowLabel = true;
            chart2.Series.Add(series2);

            chart2.Legend.Visibility = Visibility.Visible;
            chart2.Legend.ToggleSeriesVisibility = true;

            SfChart chart3 = new SfChart(this);
            chart3.LayoutParameters = new ViewGroup.LayoutParams(1100, 550);
            chart3.SetBackgroundColor(Color.White);

            PieSeries series3 = new PieSeries();
            series3.ItemsSource = viewModel.Data3;
            series3.XBindingPath = "XValue";
            series3.YBindingPath = "YValue";
            series3.DataMarker.ShowLabel = true;
            chart3.Series.Add(series3);

            chart3.Legend.Visibility = Visibility.Visible;
            chart3.Legend.ToggleSeriesVisibility = true;

            LinearLayout linearLayout = new LinearLayout(this);
            linearLayout.Orientation = Orientation.Vertical;
            linearLayout.TextAlignment = Android.Views.TextAlignment.Center;
            linearLayout.SetBackgroundColor(Color.White);

            linearLayout.AddView(chart1);
            linearLayout.AddView(chart2);
            linearLayout.AddView(chart3);

            SetContentView(linearLayout);

        }
    }

    public class Person
    {
        public string XValue { get; set; }

        public double YValue { get; set; }

        public Person(string xvalue, double yvalue)
        {
            XValue = xvalue;
            YValue = yvalue;
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Person> Data1 { get; set; }

        public ObservableCollection<Person> Data2 { get; set; }

        public ObservableCollection<Person> Data3 { get; set; }

        public ViewModel()
        {
            Data1 = new ObservableCollection<Person>()
            {
                new Person("Yes", 180),
                new Person("No", 170),
                new Person("NotAvailable", 160),
            };

            Data2 = new ObservableCollection<Person>()
            {
                new Person("Yes", 80),
                new Person("No", 23),
                new Person("NotAvailable", 40),
            };

            Data3 = new ObservableCollection<Person>()
            {
                new Person("Yes", 34),
                new Person("No", 56),
                new Person("NotAvailable", 20),
            };
        }
    }
}

