﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Android.App;
using Android.Content;
using Android.Graphics;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Syncfusion.Charts;

namespace Chart_GettingStarted
{
    [Activity(Label = "NavigationPage")]
    public class NavigationPage : Activity
    {
        DoughnutSeries series;
        ViewModel viewModel;
        SfChart chart;

        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            Button button = new Button(this);
            button.Text = "NextPage";
            button.Click += Button_Click;

            chart = new SfChart(this);
            chart.Title.Text = "Chart1";
            chart.LayoutParameters = new ViewGroup.LayoutParams(400, 1100);

            chart.SetBackgroundColor(Color.White);

            series = new DoughnutSeries();

            viewModel = new ViewModel();

            chart.Series.Remove(series);
            series.ItemsSource = null;
            series.XBindingPath = "Name";
            series.YBindingPath = "Height";

            series.Label = "Heights";
            series.TooltipEnabled = true;
            series.DoughnutCoefficient = 0.9;
            series.CapStyle = DoughnutCapStyle.BothCurve;
            series.Spacing = 0.1;
            series.DataMarker.ShowLabel = true;
            series.DataMarker.LabelStyle.LabelFormat = "#.##' USD'";
            chart.Series.Add(series);

            var colors = new List<Color>();
            colors.Add(Color.Green);
            colors.Add(Color.Blue);
            colors.Add(Color.DarkViolet);
            colors.Add(Color.DeepPink);
            colors.Add(Color.DarkOrange);

            series.ColorModel.ColorPalette = ChartColorPalette.Custom;
            series.ColorModel.CustomColors = colors;

            chart.Legend.Visibility = Visibility.Visible;
            chart.Legend.DockPosition = ChartDock.Bottom;
            chart.Legend.ToggleSeriesVisibility = true;
            chart.Legend.OverflowMode = ChartLegendOverflowMode.Wrap;
            chart.Legend.IconHeight = 14;
            chart.Legend.IconWidth = 14;

            TextView textView1 = new TextView(this);
            textView1.SetTextColor(Color.Black);
            textView1.TextAlignment = Android.Views.TextAlignment.Gravity;
            textView1.Text = "Aug 6-Sep 6";

            LinearLayout layout = new LinearLayout(this);

            layout.AddView(textView1);

            series.CenterView = layout;

            string[] items = new string[] { "Transportation", "Groceries", "Cafes & restaurants" };
            ListView listView = new ListView(this);

            listView.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, 400);
            listView.Adapter = new ArrayAdapter(this, Android.Resource.Layout.SimpleListItem1, items);

            LinearLayout linearLayout = new LinearLayout(this);
            linearLayout.Orientation = Orientation.Horizontal;
            linearLayout.TextAlignment = Android.Views.TextAlignment.Center;
            linearLayout.SetBackgroundColor(Color.White);

            LinearLayout linearLayout1 = new LinearLayout(this);
            linearLayout1.Orientation = Orientation.Vertical;

            linearLayout.AddView(chart);
            linearLayout.AddView(button);

            linearLayout1.AddView(linearLayout);
            linearLayout1.AddView(listView);

            series.ItemsSource = viewModel.Data1;

            SetContentView(linearLayout1);
        }

        private void Button_Click(object sender, System.EventArgs e)
        {
            DoughnutSeries series1 = new DoughnutSeries();
            series1.ItemsSource = null;
            series1.XBindingPath = "Name";
            series1.YBindingPath = "Height";
            series1.Label = "Heights";
            series1.TooltipEnabled = true;
            series1.DoughnutCoefficient = 0.9;
            series1.CapStyle = DoughnutCapStyle.BothCurve;
            series1.Spacing = 0.1;
            series1.DataMarker.ShowLabel = true;
            series1.DataMarker.LabelStyle.LabelFormat = "#.##' USD'";
            chart.Series.Add(series);
            series1.ItemsSource = null;
            series1.ItemsSource = viewModel.Data1;
            //this.StartActivity(typeof(MainActivity));
        }
    }
}